## org.eclipse.datatools.modelbase.sql.datatypes
Interface XMLDataType

All Superinterfaces:
  DataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PredefinedDataType, SQLDataType, SQLObject

    public interface XMLDataType

extends PredefinedDataType

A representation of the model object 'XML Data Type'. Reference: 5WD-02-Foundation-2002-12 4.1 Data Types

See Also:
  `SQLDataTypesPackage.getXMLDataType()`

Method Summary

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`